Name:           spice-parent
Version:        15
Release:        %mkrel 9
Summary:        Sonatype Spice Components

Group:          Development/Java
License:        ASL 2.0
URL:            http://svn.sonatype.org/spice/tags/spice-parent-15
#svn export http://svn.sonatype.org/spice/tags/spice-parent-15 spice-parent-15
#tar zcf spice-parent-15.tar.gz spice-parent-15/
Source0:        %{name}-%{version}.tar.gz
Source1:        http://apache.org/licenses/LICENSE-2.0.txt
Patch0:         pom.patch

BuildArch: noarch

BuildRequires:  jpackage-utils
BuildRequires:  maven-local
BuildRequires:  forge-parent

Requires:          jpackage-utils
Requires:          forge-parent

Provides:          mvn(org.sonatype.spice:spice-parent:pom:)

%description
Spice components and libraries are common components
used throughout the Sonatype Forge.

%prep
%setup -q -n %{name}-%{version}
#Remove plexus-javadoc
%patch0
cp %{SOURCE1} .

%build
#nothing to do for the pom

%install
# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom

%check
mvn-rpmbuild verify

%files -f .mfiles
%doc LICENSE-2.0.txt




%changelog
* Sun Sep 29 2013 dmorgan <dmorgan> 15-9.mga4
+ Revision: 488957
- Add provide, need to understand why this is not generated

* Sun Sep 29 2013 dmorgan <dmorgan> 15-8.mga4
+ Revision: 488885
- Rebuild against new javapackages

* Mon Jan 14 2013 umeabot <umeabot> 15-7.mga3
+ Revision: 382522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 15-6.mga3
+ Revision: 324205
- Sync spec file with fedora

  + gil <gil>
    - replaced plexus-maven-plugin with plexus-component-metadata

* Thu Apr 28 2011 dmorgan <dmorgan> 15-5.mga1
+ Revision: 93143
- Rebuild after bootstrapping

* Thu Apr 28 2011 dmorgan <dmorgan> 15-4.mga1
+ Revision: 92865
- Remove buildroot
- imported package spice-parent


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 09 2010 Hui Wang <huwang@redhat.com> - 15-3
- Add pom.patch 

* Fri May 14 2010 Hui Wang <huwang@redhat.com> - 15-2
- Add instruction which create Source0 as a commont
- Use macros in Source0 

* Tue May 11 2010 Hui Wang <huwang@redhat.com> - 15-1
- Initial version of the package
